# SalesChannelBatchRequests

## Get batch request details

> Returns details of a specific batch request

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"BatchRequest":{"type":"object","properties":{"pk":{"type":"integer","format":"int64","description":"Primary key of the batch request"},"channel":{"type":"integer","format":"int64","description":"ID of the channel"},"local_batch_id":{"type":"string","format":"uuid","description":"Local batch ID"},"remote_batch_id":{"type":"string","maxLength":255,"nullable":true,"description":"Remote batch ID"},"content_type":{"type":"string","maxLength":255,"nullable":true,"description":"Content type of the batch request"},"status":{"$ref":"#/components/schemas/BatchRequestStatus"},"objects":{"type":"array","items":{"$ref":"#/components/schemas/BatchRequestObject"},"nullable":true,"description":"List of objects in the batch request"},"created_date":{"type":"string","format":"date-time","description":"Creation date of the batch request"},"modified_date":{"type":"string","format":"date-time","description":"Last modification date of the batch request"}}},"BatchRequestStatus":{"type":"string","enum":["initialized","commit","sent_to_remote","ongoing","done","fail"],"description":"Status of the batch request"},"BatchRequestObject":{"type":"object","properties":{"pk":{"type":"integer","format":"int64","description":"Primary key of the object"},"failed_reason_type":{"type":"string","nullable":true,"description":"Reason for failure if any"},"remote_id":{"type":"string","nullable":true,"maxLength":255,"description":"Remote ID of the object"},"version_date":{"type":"string","format":"date-time","nullable":true,"description":"Version date of the object"},"content_type":{"type":"string","maxLength":255,"description":"Content type of the object"}}}}},"paths":{"/api/v1/channel/{channel_id}/batch_requests/{id}/":{"get":{"tags":["SalesChannelBatchRequests"],"summary":"Get batch request details","description":"Returns details of a specific batch request","parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"Batch request details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchRequest"}}}},"404":{"description":"Batch request not found","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string"}}}}}}}}}}}
```

## Update batch request

> Updates a batch request with the provided data

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"BatchRequestUpdate":{"type":"object","properties":{"channel":{"type":"integer","format":"int64","description":"ID of the channel"},"remote_batch_id":{"type":"string","maxLength":255,"nullable":true,"description":"Remote batch ID"},"content_type":{"type":"string","maxLength":255,"nullable":true,"description":"Content type of the batch request"},"status":{"$ref":"#/components/schemas/BatchRequestStatus"},"objects":{"type":"array","items":{"$ref":"#/components/schemas/BatchRequestObject"},"nullable":true,"description":"List of objects in the batch request"},"log_file":{"type":"string","nullable":true,"description":"Log file content"}}},"BatchRequestStatus":{"type":"string","enum":["initialized","commit","sent_to_remote","ongoing","done","fail"],"description":"Status of the batch request"},"BatchRequestObject":{"type":"object","properties":{"pk":{"type":"integer","format":"int64","description":"Primary key of the object"},"failed_reason_type":{"type":"string","nullable":true,"description":"Reason for failure if any"},"remote_id":{"type":"string","nullable":true,"maxLength":255,"description":"Remote ID of the object"},"version_date":{"type":"string","format":"date-time","nullable":true,"description":"Version date of the object"},"content_type":{"type":"string","maxLength":255,"description":"Content type of the object"}}},"BatchRequest":{"type":"object","properties":{"pk":{"type":"integer","format":"int64","description":"Primary key of the batch request"},"channel":{"type":"integer","format":"int64","description":"ID of the channel"},"local_batch_id":{"type":"string","format":"uuid","description":"Local batch ID"},"remote_batch_id":{"type":"string","maxLength":255,"nullable":true,"description":"Remote batch ID"},"content_type":{"type":"string","maxLength":255,"nullable":true,"description":"Content type of the batch request"},"status":{"$ref":"#/components/schemas/BatchRequestStatus"},"objects":{"type":"array","items":{"$ref":"#/components/schemas/BatchRequestObject"},"nullable":true,"description":"List of objects in the batch request"},"created_date":{"type":"string","format":"date-time","description":"Creation date of the batch request"},"modified_date":{"type":"string","format":"date-time","description":"Last modification date of the batch request"}}}}},"paths":{"/api/v1/channel/{channel_id}/batch_requests/{id}/":{"put":{"tags":["SalesChannelBatchRequests"],"summary":"Update batch request","description":"Updates a batch request with the provided data","parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchRequestUpdate"}}}},"responses":{"200":{"description":"Batch request updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchRequest"}}}},"400":{"description":"Invalid request data","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"array","items":{"type":"string"}}}}}}},"404":{"description":"Batch request not found","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string"}}}}}},"500":{"description":"Batch request cannot be updated","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string"}}}}}}}}}}}
```

## Delete batch request

> Deletes a batch request

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}}},"paths":{"/api/v1/channel/{channel_id}/batch_requests/{id}/":{"delete":{"tags":["SalesChannelBatchRequests"],"summary":"Delete batch request","description":"Deletes a batch request","parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"responses":{"204":{"description":"Batch request deleted successfully"},"404":{"description":"Batch request not found","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string"}}}}}}}}}}}
```

## Partial update batch request

> Partially updates a batch request with the provided data

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"BatchRequestUpdate":{"type":"object","properties":{"channel":{"type":"integer","format":"int64","description":"ID of the channel"},"remote_batch_id":{"type":"string","maxLength":255,"nullable":true,"description":"Remote batch ID"},"content_type":{"type":"string","maxLength":255,"nullable":true,"description":"Content type of the batch request"},"status":{"$ref":"#/components/schemas/BatchRequestStatus"},"objects":{"type":"array","items":{"$ref":"#/components/schemas/BatchRequestObject"},"nullable":true,"description":"List of objects in the batch request"},"log_file":{"type":"string","nullable":true,"description":"Log file content"}}},"BatchRequestStatus":{"type":"string","enum":["initialized","commit","sent_to_remote","ongoing","done","fail"],"description":"Status of the batch request"},"BatchRequestObject":{"type":"object","properties":{"pk":{"type":"integer","format":"int64","description":"Primary key of the object"},"failed_reason_type":{"type":"string","nullable":true,"description":"Reason for failure if any"},"remote_id":{"type":"string","nullable":true,"maxLength":255,"description":"Remote ID of the object"},"version_date":{"type":"string","format":"date-time","nullable":true,"description":"Version date of the object"},"content_type":{"type":"string","maxLength":255,"description":"Content type of the object"}}},"BatchRequest":{"type":"object","properties":{"pk":{"type":"integer","format":"int64","description":"Primary key of the batch request"},"channel":{"type":"integer","format":"int64","description":"ID of the channel"},"local_batch_id":{"type":"string","format":"uuid","description":"Local batch ID"},"remote_batch_id":{"type":"string","maxLength":255,"nullable":true,"description":"Remote batch ID"},"content_type":{"type":"string","maxLength":255,"nullable":true,"description":"Content type of the batch request"},"status":{"$ref":"#/components/schemas/BatchRequestStatus"},"objects":{"type":"array","items":{"$ref":"#/components/schemas/BatchRequestObject"},"nullable":true,"description":"List of objects in the batch request"},"created_date":{"type":"string","format":"date-time","description":"Creation date of the batch request"},"modified_date":{"type":"string","format":"date-time","description":"Last modification date of the batch request"}}}}},"paths":{"/api/v1/channel/{channel_id}/batch_requests/{id}/":{"patch":{"tags":["SalesChannelBatchRequests"],"summary":"Partial update batch request","description":"Partially updates a batch request with the provided data","parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchRequestUpdate"}}}},"responses":{"200":{"description":"Batch request updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchRequest"}}}},"400":{"description":"Invalid request data","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"array","items":{"type":"string"}}}}}}},"404":{"description":"Batch request not found","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string"}}}}}},"500":{"description":"Batch request cannot be updated","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string"}}}}}}}}}}}
```

## List batch requests

> Returns a list of batch requests for the specified channel

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}}},"schemas":{"BatchRequest":{"type":"object","properties":{"pk":{"type":"integer","format":"int64","description":"Primary key of the batch request"},"channel":{"type":"integer","format":"int64","description":"ID of the channel"},"local_batch_id":{"type":"string","format":"uuid","description":"Local batch ID"},"remote_batch_id":{"type":"string","maxLength":255,"nullable":true,"description":"Remote batch ID"},"content_type":{"type":"string","maxLength":255,"nullable":true,"description":"Content type of the batch request"},"status":{"$ref":"#/components/schemas/BatchRequestStatus"},"objects":{"type":"array","items":{"$ref":"#/components/schemas/BatchRequestObject"},"nullable":true,"description":"List of objects in the batch request"},"created_date":{"type":"string","format":"date-time","description":"Creation date of the batch request"},"modified_date":{"type":"string","format":"date-time","description":"Last modification date of the batch request"}}},"BatchRequestStatus":{"type":"string","enum":["initialized","commit","sent_to_remote","ongoing","done","fail"],"description":"Status of the batch request"},"BatchRequestObject":{"type":"object","properties":{"pk":{"type":"integer","format":"int64","description":"Primary key of the object"},"failed_reason_type":{"type":"string","nullable":true,"description":"Reason for failure if any"},"remote_id":{"type":"string","nullable":true,"maxLength":255,"description":"Remote ID of the object"},"version_date":{"type":"string","format":"date-time","nullable":true,"description":"Version date of the object"},"content_type":{"type":"string","maxLength":255,"description":"Content type of the object"}}}}},"paths":{"/api/v1/channel/{channel_id}/batch_requests/":{"get":{"tags":["SalesChannelBatchRequests"],"summary":"List batch requests","description":"Returns a list of batch requests for the specified channel","parameters":[{"$ref":"#/components/parameters/channel_path"},{"name":"status","in":"query","required":false,"schema":{"type":"string","enum":["initialized","commit","sent_to_remote","ongoing","done","fail"]},"description":"Filter by status"},{"name":"content_type","in":"query","required":false,"schema":{"type":"string"},"description":"Filter by content type"},{"name":"ordering","in":"query","required":false,"schema":{"type":"string"},"description":"Order by field name"}],"responses":{"200":{"description":"List of batch requests","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of batch requests"},"next":{"type":"string","nullable":true,"description":"URL for the next page of results"},"previous":{"type":"string","nullable":true,"description":"URL for the previous page of results"},"results":{"type":"array","items":{"$ref":"#/components/schemas/BatchRequest"}}}}}}},"404":{"description":"Channel not found","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string"}}}}}}}}}}}
```

## Create batch request

> Creates a new batch request for the specified channel

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}}},"schemas":{"BatchRequestCreate":{"type":"object","required":["channel"],"properties":{"channel":{"type":"integer","format":"int64","description":"ID of the channel"}}},"BatchRequest":{"type":"object","properties":{"pk":{"type":"integer","format":"int64","description":"Primary key of the batch request"},"channel":{"type":"integer","format":"int64","description":"ID of the channel"},"local_batch_id":{"type":"string","format":"uuid","description":"Local batch ID"},"remote_batch_id":{"type":"string","maxLength":255,"nullable":true,"description":"Remote batch ID"},"content_type":{"type":"string","maxLength":255,"nullable":true,"description":"Content type of the batch request"},"status":{"$ref":"#/components/schemas/BatchRequestStatus"},"objects":{"type":"array","items":{"$ref":"#/components/schemas/BatchRequestObject"},"nullable":true,"description":"List of objects in the batch request"},"created_date":{"type":"string","format":"date-time","description":"Creation date of the batch request"},"modified_date":{"type":"string","format":"date-time","description":"Last modification date of the batch request"}}},"BatchRequestStatus":{"type":"string","enum":["initialized","commit","sent_to_remote","ongoing","done","fail"],"description":"Status of the batch request"},"BatchRequestObject":{"type":"object","properties":{"pk":{"type":"integer","format":"int64","description":"Primary key of the object"},"failed_reason_type":{"type":"string","nullable":true,"description":"Reason for failure if any"},"remote_id":{"type":"string","nullable":true,"maxLength":255,"description":"Remote ID of the object"},"version_date":{"type":"string","format":"date-time","nullable":true,"description":"Version date of the object"},"content_type":{"type":"string","maxLength":255,"description":"Content type of the object"}}}}},"paths":{"/api/v1/channel/{channel_id}/batch_requests/":{"post":{"tags":["SalesChannelBatchRequests"],"summary":"Create batch request","description":"Creates a new batch request for the specified channel","parameters":[{"$ref":"#/components/parameters/channel_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchRequestCreate"}}}},"responses":{"201":{"description":"Batch request created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchRequest"}}}},"400":{"description":"Invalid request data","content":{"application/json":{"schema":{"type":"object","properties":{"channel":{"type":"array","items":{"type":"string"}}}}}}},"404":{"description":"Channel not found","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string"}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.akinon.com/omnitron-openapis/saleschannelbatchrequests.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
